/*------------------------------------------------------------------------
  File        : WebApp/TP/BL/Move.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 07-03-2018 13:30:16
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttMove BEFORE-TABLE bttMove
    FIELD attachmentnr LIKE aa-tp_move.attachmentnr
    FIELD bookingnr LIKE aa-tp_move.bookingnr
    FIELD cmr_endtime LIKE aa-tp_move.cmr_endtime
    FIELD cmr_remarks LIKE aa-tp_move.cmr_remarks
    FIELD cmr_remarks2 LIKE aa-tp_move.cmr_remarks2
    FIELD cmr_signature_from LIKE aa-tp_move.cmr_signature_from
    FIELD cmr_signature_location LIKE aa-tp_move.cmr_signature_location
    FIELD cmr_starttime LIKE aa-tp_move.cmr_starttime
    FIELD cnt1 LIKE aa-tp_move.cnt1
    FIELD cnt2 LIKE aa-tp_move.cnt2
    FIELD companycode LIKE aa-tp_move.companycode
    FIELD create_usercode LIKE aa-tp_move.create_usercode
    FIELD delivery_collection LIKE aa-tp_move.delivery_collection
    FIELD distance LIKE aa-tp_move.distance
    FIELD distance_toll LIKE aa-tp_move.distance_toll
    FIELD distance_toll_be LIKE aa-tp_move.distance_toll_be
    FIELD dt_cmr_received LIKE aa-tp_move.dt_cmr_received
    FIELD dt_cmr_sent LIKE aa-tp_move.dt_cmr_sent
    FIELD dt_create LIKE aa-tp_move.dt_create
    FIELD dt_planned LIKE aa-tp_move.dt_planned
    FIELD dt_requested LIKE aa-tp_move.dt_requested
    FIELD dt_update LIKE aa-tp_move.dt_update
    FIELD duration LIKE aa-tp_move.duration
    FIELD emailaddress_signature_pod LIKE aa-tp_move.emailaddress_signature_pod
    FIELD extra LIKE aa-tp_move.extra
    FIELD from_code LIKE aa-tp_move.from_code
    FIELD from_node LIKE aa-tp_move.from_node
    FIELD from_qualifier LIKE aa-tp_move.from_qualifier
    FIELD from_type LIKE aa-tp_move.from_type
    FIELD grp LIKE aa-tp_move.grp
    FIELD ind_cmr_received LIKE aa-tp_move.ind_cmr_received
    FIELD ind_cmr_sent LIKE aa-tp_move.ind_cmr_sent
    FIELD ind_damaged LIKE aa-tp_move.ind_damaged
    FIELD loc1 LIKE aa-tp_move.loc1
    FIELD loc2 LIKE aa-tp_move.loc2
    FIELD motcode LIKE aa-tp_move.motcode
    FIELD move_reference LIKE aa-tp_move.move_reference
    FIELD movenr LIKE aa-tp_move.movenr
    FIELD planning LIKE aa-tp_move.planning
    FIELD remarks LIKE aa-tp_move.remarks
    FIELD remarks2 LIKE aa-tp_move.remarks2
    FIELD status_cmr LIKE aa-tp_move.status_cmr
    FIELD supplier_addressnr LIKE aa-tp_move.supplier_addressnr
    FIELD suppliertype LIKE aa-tp_move.suppliertype
    FIELD tim_create LIKE aa-tp_move.tim_create
    FIELD tim_planned LIKE aa-tp_move.tim_planned
    FIELD tim_planned_till LIKE aa-tp_move.tim_planned_till
    FIELD tim_requested LIKE aa-tp_move.tim_requested
    FIELD tim_requested_till LIKE aa-tp_move.tim_requested_till
    FIELD tim_update LIKE aa-tp_move.tim_update
    FIELD tm_cmr_received LIKE aa-tp_move.tm_cmr_received FORMAT "X(5)"
    FIELD tm_cmr_sent LIKE aa-tp_move.tm_cmr_sent
    FIELD to_code LIKE aa-tp_move.to_code
    FIELD to_node LIKE aa-tp_move.to_node
    FIELD to_qualifier LIKE aa-tp_move.to_qualifier
    FIELD to_type LIKE aa-tp_move.to_type
    FIELD tp_file_seqnr LIKE aa-tp_move.tp_file_seqnr
    FIELD tp_move_seqnr LIKE aa-tp_move.tp_move_seqnr
    FIELD tp_move_status LIKE aa-tp_move.tp_move_status
    FIELD tp_trip_seqnr LIKE aa-tp_move.tp_trip_seqnr
    FIELD triptype LIKE aa-tp_move.triptype
    FIELD update_usercode LIKE aa-tp_move.update_usercode
    FIELD xref_container AS CHARACTER LABEL "Container"
    FIELD xref_countrylist AS CHARACTER LABEL "Country"
    FIELD xref_driver AS CHARACTER LABEL "Driver"
    FIELD xref_mot_des AS CHARACTER LABEL "Mode of transport"
    FIELD xref_subarea AS CHARACTER LABEL "Subarea"
    FIELD xref_supplier AS CHARACTER LABEL "Supplier"
    FIELD zip1 LIKE aa-tp_move.zip1
    FIELD zip2 LIKE aa-tp_move.zip2
.

DEFINE DATASET dsMove FOR ttMove.