/*------------------------------------------------------------------------
  File        : WebApp/TP/BL/Routematrix.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 07-03-2018 13:30:18
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttRoutematrix BEFORE-TABLE bttRoutematrix
    FIELD cnt1 LIKE aa-tp_routematrix.cnt1
    FIELD cnt2 LIKE aa-tp_routematrix.cnt2
    FIELD distance LIKE aa-tp_routematrix.distance
    FIELD duration LIKE aa-tp_routematrix.duration
    FIELD from-node LIKE aa-tp_routematrix.from-node SERIALIZE-NAME "from_node"
    FIELD from_code LIKE aa-tp_routematrix.from_code FORMAT "X(9)"
    FIELD from_type LIKE aa-tp_routematrix.from_type
    FIELD ind_inactive LIKE aa-tp_routematrix.ind_inactive
    FIELD ind_operations LIKE aa-tp_routematrix.ind_operations
    FIELD ind_sales LIKE aa-tp_routematrix.ind_sales
    FIELD ind_sync LIKE aa-tp_routematrix.ind_sync
    FIELD is-returntrip LIKE aa-tp_routematrix.is-returntrip SERIALIZE-NAME "is_returntrip"
    FIELD loc1 LIKE aa-tp_routematrix.loc1 FORMAT "X(10)"
    FIELD loc2 LIKE aa-tp_routematrix.loc2 FORMAT "X(10)"
    FIELD motcode LIKE aa-tp_routematrix.motcode
    FIELD planninggroup LIKE aa-tp_routematrix.planninggroup
    FIELD prio LIKE aa-tp_routematrix.prio
    FIELD remarks LIKE aa-tp_routematrix.remarks
    FIELD returntrip_code LIKE aa-tp_routematrix.returntrip_code
    FIELD routematrix_code LIKE aa-tp_routematrix.routematrix_code
    FIELD routesuggestion_remarks LIKE aa-tp_routematrix.routesuggestion_remarks
    FIELD supplier_addressnr LIKE aa-tp_routematrix.supplier_addressnr FORMAT "->>>>>>9"
    FIELD suppliertype LIKE aa-tp_routematrix.suppliertype
    FIELD to-node LIKE aa-tp_routematrix.to-node SERIALIZE-NAME "to_node"
    FIELD to_code LIKE aa-tp_routematrix.to_code FORMAT "X(9)"
    FIELD to_type LIKE aa-tp_routematrix.to_type
    FIELD triptype LIKE aa-tp_routematrix.triptype
    FIELD xref_address_name_1 AS CHARACTER LABEL "Supplier"
    FIELD xref_mot_des AS CHARACTER LABEL ""
    FIELD xref_tp_triptype_des AS CHARACTER LABEL "Trip type"
    FIELD zip1 LIKE aa-tp_routematrix.zip1
    FIELD zip2 LIKE aa-tp_routematrix.zip2
.

DEFINE DATASET dsRoutematrix FOR ttRoutematrix.